| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
IEEE488InstrumentTest.h File Reference

Utility functions used to test IEEE488Instrument API. More...

`#include "IEEE488Instrument.h"`
Include dependency graph for IEEE488InstrumentTest.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
bool | FetchIEEE4888Resource (IEEE4888_TEST_RESOURCE_MANAGER_CLASS &rResourceManager, tResourceName &rInstrumentName)
| Open a connection to the Resource Manager and find an IEEE488Instrument.
bool | ConnectToIEEE488Instrument (IEEE4888_TEST_RESOURCE_MANAGER_CLASS *&rpResourceManager, IEEE4888_TEST_INSTRUMENT_CLASS *&rpIEEE488Instrument)
| Connect to an IEEE488Instrument.
bool | CheckIDNResponse (const CSCPIBuffer &rBuffer)
| Sanity-check of the response to an *IDN? query.

## Detailed Description

Utility functions used to test IEEE488Instrument API.

Definition in file IEEE488InstrumentTest.h.

## Function Documentation

## ◆ CheckIDNResponse()

bool CheckIDNResponse | ( | const CSCPIBuffer & | rBuffer | ) |

Sanity-check of the response to an *IDN? query.

Parameters

  [in] | rBuffer | Response to *IDN? query.

Returns
  True if successful.

Definition at line 70 of file IEEE488InstrumentTest.cpp.

## ◆ ConnectToIEEE488Instrument()

bool ConnectToIEEE488Instrument | ( | IEEE4888_TEST_RESOURCE_MANAGER_CLASS *& | rpResourceManager,
|  | IEEE4888_TEST_INSTRUMENT_CLASS *& | rpIEEE488Instrument )

Connect to an IEEE488Instrument.

Start Resource Manager, call FetchIEEE4888Resource, create IEEE488Instrument object, and connect to IEEE488Instrument.

Parameters

  [out] | rpResourceManager | Pointer to Resource Manager object.
  [out] | rpIEEE488Instrument | Pointer to IEEE488Instrument object.

Returns
  True if successful.

Definition at line 40 of file IEEE488InstrumentTest.cpp.

## ◆ FetchIEEE4888Resource()

bool FetchIEEE4888Resource | ( | IEEE4888_TEST_RESOURCE_MANAGER_CLASS & | rResourceManager,
|  | tResourceName & | rInstrumentName )

Open a connection to the Resource Manager and find an IEEE488Instrument.

Parameters

  [in] | rResourceManager | Resource Manager
  [out] | rInstrumentName | Resource Name of first IEEE488Instrument found

Returns
  True if successful.

Definition at line 14 of file IEEE488InstrumentTest.cpp.